<?php
/**
 * Template Name: Contact Us Template                                            
 * The template for displaying portfolio pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Yummy Pro 1.0
 */

get_header(); 
$options = yummy_pro_get_theme_options(); ?>

<section id="contact-form" class="page-section">
	<div class="section-decoration-images">
        <div style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/form-decoration-01.png'; ?>' )"></div>
        <div style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/form-decoration-02.png'; ?>' )"></div>
    </div><!-- .section-decoration-images -->
    <div class="wrapper">
    	<?php if( ! empty( $options['contact_us_title'] ) ) { ?>
        <header class="entry-header">
        	<h2 class="entry-title"><?php echo esc_html( $options['contact_us_title'] ); ?></h2>
            <div class="separator"></div>
        </header>
        <?php } ?>
        <div class="entry-content">
        	<?php if( ! empty( $options['contact_us_description'] ) ) { ?>
        	   <p><?php echo esc_html( $options['contact_us_description'] ); ?></p>
        	<?php } ?>

            <div class="contact-form-wrapper">
                <?php if( ! empty( $options['contact_form_title'] ) ) { ?>
                  	<h2 class="entry-title form-title"><?php echo esc_html( $options['contact_form_title'] ); ?></h2>
                  	<div class="separator"></div>
                <?php } ?>

              	<ul class="address-block clear">
              		<?php if( ! empty( $options['location'] ) ) { ?>
                	<li class="location"><i class="fa fa-map-marker"></i><?php echo esc_html( $options['location'] ); ?></li>
                	<?php }
                	if( ! empty( $options['contact_email'] ) ) { ?>
                	<li><a href="mailto:<?php echo esc_attr( $options['contact_email'] ); ?>"><i class="fa fa-envelope"></i><?php echo esc_html( $options['contact_email'] ); ?></a></li>
                	<?php } 
                	if( ! empty( $options['contact_number'] ) ) { ?>
                	<li><a href="tel:<?php echo esc_attr( $options['contact_number'] ); ?>"><i class="fa fa-phone"></i><?php echo esc_html( $options['contact_number'] ); ?></a></li>
                	<?php } ?>
              	</ul>

              	<?php if( ( $options['enable_contact_form'] == true ) && ! empty( $options['contact_form_shortcode'] ) ) { ?>
              		<div role="form" class="wpcf7" id="wpcf7-f21-p2-o1" lang="en-US" dir="ltr">
                		<div class="screen-reader-response"></div>
	                	<?php echo do_shortcode( wp_kses_post( $options['contact_form_shortcode'] ) );?>
              		</div><!--.wpcf7-->
              	<?php } ?>
              	<div class="form-decoration">
                    <div class="decoration" style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/form-decoration-03.png'; ?>' )"></div>
                    <div class="decoration" style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/form-decoration-04.png'; ?>' )"></div>
                </div><!-- .form-decoration -->
            </div><!-- .contact-form-wrapper -->
        </div><!-- .entry-content -->
    </div><!-- .wrapper -->
</section><!-- #contact-form -->

<?php if( ( $options['enable_map'] == true ) && ! empty( $options['map_shortcode'] ) ) { ?>
    <section id="map"><?php echo do_shortcode( wp_kses_post( $options['map_shortcode'] ) ); ?></section>
<?php } 

get_footer();
