<?php
/**
 * Woo Shop Page Options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */


$wp_customize->add_section( 'yummy_pro_woo_shop_page', array(
	'title'             => esc_html__( 'Woo Shop Page','yummy-pro' ),
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[sale_title]', array(
	'default'           => $options['sale_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[sale_title]', array(
	'label'             => esc_html__( 'Sale Section Title', 'yummy-pro' ),
	'section'           => 'yummy_pro_woo_shop_page',
	'type'				=> 'text'
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[sale_sub_title]', array(
	'default'           => $options['sale_sub_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[sale_sub_title]', array(
	'label'             => esc_html__( 'Sale Section Sub Title', 'yummy-pro' ),
	'section'           => 'yummy_pro_woo_shop_page',
	'type'				=> 'text'
) );

// Site layout setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[shop_pagination_type]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_select',
	'default'             => $options['shop_pagination_type'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[shop_pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'yummy-pro' ),
	'section'             => 'yummy_pro_woo_shop_page',
	'type'                => 'select',
	'choices'			  => yummy_pro_shop_pagination_options(),
) );
