<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

// Typography Section
$wp_customize->add_section( 'yummy_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'yummy-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'yummy_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'yummy_pro_theme_options[header_theme_typography]',
	array(
		'default'    		=> $options['header_theme_typography'],
		'sanitize_callback'	=> 'yummy_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'yummy_pro_theme_options[header_theme_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Header Typography', 'yummy-pro' ),
		'section'     		=> 'yummy_pro_section_typography',
		'type'		  		=> 'select',
		'choices'			=> yummy_pro_header_typography_options(),
    )
);

$wp_customize->add_setting( 'yummy_pro_theme_options[body_theme_typography]',
	array(
		'default'    		=> $options['body_theme_typography'],
		'sanitize_callback'	=> 'yummy_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'yummy_pro_theme_options[body_theme_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Paragraph Typography', 'yummy-pro' ),
		'section'     		=> 'yummy_pro_section_typography',
		'type'		  		=> 'select',
		'choices'			=> yummy_pro_body_typography_options(),
    )
);
