<?php 
/**
 * Top Bar
 *
 * This is the template for the content of top bar
 *
 * @package Yummy Pro
 * @since Yummy Pro 1.5
 */
if ( ! function_exists( 'yummy_pro_add_top_bar' ) ) :
    /**
    * Add top bar.
    *
    *@since Yummy Pro 1.5
    */
    function yummy_pro_add_top_bar() { 
        $options = yummy_pro_get_theme_options();
        $enable_info_section = $options['enable_info_section'];
        $enable_social_menu = $options['enable_social_menu'];
        if ( $enable_info_section || $enable_social_menu ) :
    	?>
	        <div id="top-bar" class="top-menu">
	        	<div class="wrapper">
	        		<?php if ( $enable_info_section ) : ?>
			        	<div class="left-side-widget">
			        		<section id="custom_info_widget-1" class="widget custom_info_widget">		
								<ul class="address">
									<?php for ( $i=1; $i < 4; $i++ ) { 
										$icon = '';
										if ( ! empty( $options["top_bar_info_icon_$i"] ) ) {
											$icon = $options["top_bar_info_icon_$i"];
										}
										$field = '';
										if ( ! empty( $options["top_bar_info_field_$i"] ) ) {
											$field = $options["top_bar_info_field_$i"];
										}
										?>
										<li><i class="fa <?php echo esc_attr( $icon ); ?>"></i><?php echo esc_html( $field ); ?></li>
									<?php } ?>
								</ul>
							</section><!-- .cutom_info_widget -->
			        	</div><!-- .left-side-widget -->
	        		<?php endif; ?>

	        		<?php if ( $enable_social_menu ) : ?>
			        	<div class="right-side-widget">
							<?php yummy_pro_footer_social_menu(); ?>
			        	</div><!-- .right-side-widget -->
	        		<?php endif; ?>
	        	</div><!-- .wrapper -->
	        </div><!-- #top-bar -->
    	<?php
    	endif; //enable_info_section && enable_social_menu 
	}
endif;
add_action( 'yummy_pro_before_header', 'yummy_pro_add_top_bar', 20 );